//@flow
const
  path = require('path'),
  express = require('express'),
  pug = require('pug'),
  bodyParser = require('body-parser');

var app = express();

app.use(bodyParser.text({ type: 'text/plain' }));

app.set('view engine', 'pug');
app.set('views', __dirname);

const dist = path.join(__dirname, '..', '..', 'dist');
app.use('/dist', express.static(dist));

app.get('/', (req, res) => res.render('index'));

app.post('/pugRender', (req, res) => {
  res.setHeader('content-type', 'text/plain');
  res.send(pug.render(req.body));
});

app.listen(8080, () => console.log('Server listening on port 8080'));
