//@flow

/* must be done early */
require('debug').useColors = () => false; /* eslint-disable-line global-require */

const
  { before } = require('mocha'),
  server = require('karma-server-side'),
  chai = require('chai'),
  dirtyChai = require('dirty-chai');

chai.use(dirtyChai);

before(function() {
  return server.run(function() {
    return process.env['DEBUG'];
  })
  .then((dbg) => {
    localStorage['debug'] = dbg;
  });
});

/* using karma require API */
/* $FlowIgnore */
const testsContext = require.context(".", true, /test_.*\.js$/);

testsContext.keys().forEach(testsContext);
